## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-argon2-cffi-bindings
Version:        21.2.0
Release:        %autorelease
Summary:        Low-level CFFI bindings for Argon2

License:        MIT
URL:            https://github.com/hynek/argon2-cffi-bindings
Source:         %{pypi_source argon2-cffi-bindings}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(libargon2)


%global _description %{expand:
This package provides low-level CFFI bindings to the Argon2 password hashing
algorithm.

If you want to hash passwords in an application,
this package is not for you.
Have a look at argon2-cffi with its high-level abstractions!

These bindings have been extracted from argon2-cffi and it remains its main
consumer. However, they may be used by other packages that want to use the
Argon2 library without dealing with C-related complexities.}


%description %_description

%package -n     python3-argon2-cffi-bindings
Summary:        %{summary}

%description -n python3-argon2-cffi-bindings %_description


%prep
%autosetup -p1 -n argon2-cffi-bindings-%{version}
# using system libargon
rm -r extras/libargon2


%generate_buildrequires
export ARGON2_CFFI_USE_SYSTEM=1
%pyproject_buildrequires -x tests


%build
export ARGON2_CFFI_USE_SYSTEM=1
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files _argon2_cffi_bindings


%check
%pytest -v

%files -n python3-argon2-cffi-bindings -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 21.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 21.2.0-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 21.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 21.2.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 21.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 05 2022 Miro Hrončok <miro@hroncok.cz> - 21.2.0-1
- Initial import (rhbz#2150851)
## END: Generated by rpmautospec
